<?php

function thb_create_post_type_portfolios() {
	$slug   = function_exists( 'ot_get_option' ) ? sanitize_title( ot_get_option( 'portfolio_slug', 'portfolio' ) ) : 'portfolio';
	$labels = array(
		'name'               => esc_html__( 'Portfolio', 'werkstatt' ),
		'singular_name'      => esc_html__( 'Portfolio', 'werkstatt' ),
		'rewrite'            => array( 'slug' => esc_html__( 'portfolios', 'werkstatt' ) ),
		'add_new'            => _x( 'Add New', 'portfolio', 'werkstatt' ),
		'add_new_item'       => esc_html__( 'Add New Portfolio', 'werkstatt' ),
		'edit_item'          => esc_html__( 'Edit Portfolio', 'werkstatt' ),
		'new_item'           => esc_html__( 'New Portfolio', 'werkstatt' ),
		'view_item'          => esc_html__( 'View Portfolio', 'werkstatt' ),
		'search_items'       => esc_html__( 'Search Portfolio', 'werkstatt' ),
		'not_found'          => esc_html__( 'No portfolios found', 'werkstatt' ),
		'not_found_in_trash' => esc_html__( 'No portfolios found in Trash', 'werkstatt' ),
		'parent_item_colon'  => '',
	);

	$args = array(
		'labels'              => $labels,
		'public'              => true,
		'exclude_from_search' => false,
		'publicly_queryable'  => true,
		'show_ui'             => true,
		'menu_icon'           => 'dashicons-schedule',
		'query_var'           => true,
		'taxonomies'          => array( 'post_tag' ),
		'rewrite'             => array(
			'slug'       => $slug,
			'with_front' => false,
		),
		'capability_type'     => 'post',
		'hierarchical'        => false,
		'menu_position'       => null,
		'supports'            => array( 'title', 'editor', 'author', 'excerpt', 'thumbnail', 'comments', 'revisions' ),
	);

	register_post_type( 'portfolio', $args );

	$category_labels = array(
		'name'          => esc_html__( 'Portfolio Categories', 'werkstatt' ),
		'singular_name' => esc_html__( 'Portfolio Category', 'werkstatt' ),
		'search_items'  => esc_html__( 'Search Portfolio Categories', 'werkstatt' ),
		'all_items'     => esc_html__( 'All Portfolio Categories', 'werkstatt' ),
		'parent_item'   => esc_html__( 'Parent Portfolio Category', 'werkstatt' ),
		'edit_item'     => esc_html__( 'Edit Portfolio Category', 'werkstatt' ),
		'update_item'   => esc_html__( 'Update Portfolio Category', 'werkstatt' ),
		'add_new_item'  => esc_html__( 'Add New Portfolio Category', 'werkstatt' ),
		'menu_name'     => esc_html__( 'Portfolio Categories', 'werkstatt' ),
	);

	register_taxonomy(
		'portfolio-category',
		array( 'portfolio' ),
		array(
			'hierarchical'      => true,
			'labels'            => $category_labels,
			'show_ui'           => true,
			'query_var'         => true,
			'show_admin_column' => true,
			'rewrite'           => array(
				'slug' => 'portfolio-category',
			),
		)
	);

	/* Add Custom Columns */
	function thb_column_value( $column_name, $post_id ) {
		if ( 'thbpid' === $column_name ) {
			echo esc_attr( $post_id );
		} elseif ( 'featured_image' === $column_name ) {
			echo get_the_post_thumbnail( $post_id, 'thumbnail' );
		}
	}
	function thb_column_add_clean( $cols ) {
		$cols['thbpid']         = esc_html__( 'ID', 'werkstatt' );
		$cols['featured_image'] = esc_html__( 'Image', 'werkstatt' );
		return $cols;
	}

	add_filter( 'manage_portfolio_posts_custom_column', 'thb_column_value', 10, 2 );
	add_filter( 'manage_portfolio_posts_columns', 'thb_column_add_clean', 10 );
}
/* Initialize post types */
add_action( 'init', 'thb_create_post_type_portfolios', 5 );
