<?php function thb_image_slider( $atts, $content = null ) {
	$thb_margins    = $thb_arrow_color = $autoplay = $autoplay_speed = false;
	$thb_pagination = 'true';
	$img_size       = 'full';
	$atts           = vc_map_get_attributes( 'thb_image_slider', $atts );
	extract( $atts );

	$element_id = 'thb-image-slider-' . wp_rand( 10, 99 );
	$el_class[] = 'thb-image-slider';
	$el_class[] = 'slick';
	$el_class[] = 'thb-image-slider-' . $thb_style;
	$el_class[] = $thb_overflow;
	$el_class[] = $thb_margins;
	$el_class[] = $lightbox ? 'mfp-gallery' : false;
	$el_class[] = $thb_style === 'style1' ? $thb_arrow_color : false;
	$el_class[] = $thb_style === 'style5' ? 'light-arrow' : false;
	$el_class[] = $thb_style === 'style1' ? $thb_full_height : false;
	$out        = '';
	ob_start();
	$images = explode( ',', $images );

	?>
	<?php if ( $thb_style === 'style3' ) { ?>
	<div class="thb-device <?php echo esc_attr( $thb_align ); ?>">
		<div class="thb-iphone">
			<div class="device"></div>
			<div class="screen">
	<?php } ?>
				<div id="<?php echo esc_attr( $element_id ); ?>" class="<?php echo esc_attr( implode( ' ', $el_class ) ); ?>" data-pagination="<?php echo esc_attr( $thb_pagination ); ?>" data-navigation="<?php echo esc_attr( $thb_navigation ); ?>" data-center="0" data-columns="1" data-infinite="<?php echo esc_attr( $lightbox ? 'false' : 'true' ); ?>" data-autoplay="<?php echo esc_attr( $autoplay ); ?>" data-autoplay-speed="<?php echo esc_attr( $autoplay_speed ); ?>">
					<?php
					foreach ( $images as $image ) {
						$image_link  = wpb_getImageBySize(
							array(
								'attach_id'  => $image,
								'thumb_size' => '' !== $img_size ? $img_size : 'full',
								'class'      => 'thb-ignore-lazyload',
							)
						);
						$image_title = get_the_title( $image );
						if ( $thb_full_height && $thb_style === 'style1' ) {
							?>
								<figure style="background-image: url(<?php echo esc_attr( $image_link['p_img_large'][0] ); ?>);">
								<?php if ( $lightbox ) { ?>
										<a href="<?php echo esc_attr( $image_link['p_img_large'][0] ); ?>" class="thb-full-link"></a>
									<?php } ?>
								</figure>
							<?php
						} else {
							?>
								<figure>
								<?php if ( $lightbox ) { ?>
										<a href="<?php echo esc_attr( $image_link['p_img_large'][0] ); ?>">
									<?php } ?>
									<?php echo $image_link['thumbnail']; ?>
								<?php if ( $thb_style === 'style4' || $thb_style === 'style5' ) { ?>
										<figcaption>
											<h2><?php echo esc_attr( $image_title ); ?></h2>
											<?php echo wpautop( get_post( $image )->post_excerpt ); ?>
										</figcaption>
									<?php } ?>
								<?php if ( $lightbox ) { ?>
										</a>
									<?php } ?>
								</figure>
							<?php
						}
					}
					?>
				</div>
				<?php if ( $thb_bg_color && 'style5' === $thb_style ) { ?>
			<style>
				#<?php echo esc_attr( $element_id ); ?>.thb-image-slider-style5 figure figcaption {
					background: <?php echo esc_attr( $thb_bg_color ); ?>;
				}
			</style>
			<?php } ?>
	<?php if ( $thb_style === 'style3' ) { ?>
			</div>
		</div>
	</div>
	<?php } ?>
	<?php
	$out = ob_get_clean();
	return $out;
}
thb_add_short( 'thb_image_slider', 'thb_image_slider' );
