<?php function thb_post( $atts, $content = null ) {
	$style = '';
	$atts  = vc_map_get_attributes( 'thb_post', $atts );
	extract( $atts );

	$element_id = uniqid( 'thb-posts-shortcode-' );
	$rand       = wp_rand( 0, 1000 );

	$source .= '|paged:1';
	if ( $offset ) {
		$source .= '|offset:' . $offset;
	}
	$source_data   = VcLoopSettings::parseData( $source );
	$query_builder = new ThbLoopQueryBuilder( $source_data );
	$thb_posts     = $query_builder->build();
	$thb_posts     = $thb_posts[1];

	$classes[] = 'posts-shortcode align-stretch';
	$classes[] = $style;
	$classes[] = in_array( $style, array( 'style1', 'style2', 'style3', 'style4', 'style5', 'style6-alt', 'style8', 'style10', 'style12' ), true ) ? 'row' : false;
	$classes[] = $style === 'style5' ? 'masonry' : false;
	$classes[] = $loadmore === 'true' ? 'posts-pagination-style2' : false;
	ob_start();
	?>
	<div id="<?php echo esc_attr( $element_id ); ?>"  class="<?php echo esc_attr( implode( ' ', $classes ) ); ?>" data-loadmore="#loadmore-<?php echo esc_attr( $rand ); ?>" data-security="<?php echo esc_attr( wp_create_nonce( 'thb_posts_ajax' ) ); ?>">
		<?php
		$i = 0;
		if ( $thb_posts->have_posts() ) :
			while ( $thb_posts->have_posts() ) :
				$thb_posts->the_post();
				?>
					<?php
					if ( $style !== 'style8' ) {
						set_query_var( 'columns', $columns );
						set_query_var( 'style2_size', '' );
						get_template_part( 'inc/templates/postbit/' . $style );
						set_query_var( 'style2-full', false );
					} elseif ( $style === 'style8' ) {
						set_query_var( 'columns', $style8_columns );
						if ( $i == 0 ) {
							get_template_part( 'inc/templates/postbit/style8-first' );
						} else {
							get_template_part( 'inc/templates/postbit/style8' );
						}
					}
					?>
				<?php
				$i++;
		endwhile;
endif;
		?>
	</div>
	<?php if ( 'true' === $loadmore ) { ?>
		<?php
		wp_localize_script(
			'thb-app',
			esc_attr( 'thb_postsajax_' . $rand ),
			array(
				'loop'    => $source,
				'style'   => $style,
				'columns' => $style === 'style8' ? $style8_columns : $columns,
			)
		);
		?>
	<div class="row">
		<div class="small-12 columns text-center">
			<a href="#" class="thb_load_more masonry_btn btn" title="<?php esc_html_e( 'Load More', 'werkstatt' ); ?>" data-posts-id="<?php echo esc_attr( $rand ); ?>" id="loadmore-<?php echo esc_attr( $rand ); ?>"><?php esc_html_e( 'Load More', 'werkstatt' ); ?></a>
		</div>
	</div>
	<?php } ?>
	<?php
	$out = ob_get_clean();

	wp_reset_query();
	wp_reset_postdata();

	return $out;
}
thb_add_short( 'thb_post', 'thb_post' );
