<?php function thb_video_lightbox( $atts, $content = null ) {
	$atts = vc_map_get_attributes( 'thb_video_lightbox', $atts );
	extract( $atts );

	$element_id = uniqid('thb-video-lightbox-');

	$video_text = vc_value_from_safe($video_text);
	$el_class[] = 'thb-video-lightbox';
	$el_class[] = $style;
	$el_class[] = $hover_style;
	$el_class[] = $box_shadow;
	$el_class[] = $icon_size;
	$el_class[] = $animation;
	$el_class[] = $icon_pulse;
	$out ='';
	ob_start();


	?>
	<div id="<?php echo esc_attr($element_id); ?>" class="<?php echo esc_attr(implode(' ', $el_class)); ?>">
		<a href="<?php echo esc_url($video); ?>" class="thb-video-link mfp-video"></a>
		<?php if ($style === 'lightbox-style2') { ?>
			<div class="thb-video-image-holder">
				<?php
					$img = wpb_getImageBySize( array( 'attach_id' => $image, 'thumb_size' => 'full' ) );
					if ( $img == NULL ) $img['thumbnail'] = '<img src="http://placekitten.com/g/400/300" />';
					echo $img['thumbnail'];
				?>
			</div>
		<?php } ?>
		<?php if ( 'lightbox-style4' === $style ) { ?>
			<div class="lightbox-style4-text">
				<div class="style4-text"><?php echo wp_kses_post($video_text); ?></div>
			</div>
		<?php } ?>
		<?php if ( 'lightbox-style4' !== $style ) { ?>
			<span class="thb-icon-holder">
				<?php
					if ($icon_style === 'style1') {
						get_template_part('assets/img/svg/play.svg');
					} elseif ($icon_style === 'style2') {
						get_template_part('assets/img/svg/play_pause.svg');
					} else {
						get_template_part('assets/img/svg/play_2.svg');
					}
				?>
			</span>
		<?php } ?>
		<?php if ($style === 'lightbox-style3') { ?>
		<span class="thb-video-text"><?php echo wp_kses_post($video_text); ?></span>
		<?php } ?>
		<style>
			<?php if ($icon_color) { ?>
				#<?php echo esc_attr($element_id); ?> svg {
					fill: <?php echo esc_attr($icon_color); ?>;
				}
				#<?php echo esc_attr($element_id); ?> svg.thb-play-02 .circle1 {
					stroke: <?php echo esc_attr($icon_color); ?>;
				}
				#<?php echo esc_attr($element_id); ?>.lightbox-style4 .lightbox-style4-text {
					border-color: <?php echo esc_attr($icon_color); ?>;
					color: <?php echo esc_attr($icon_color); ?>;
				}
				<?php if ($icon_pulse) { ?>
					#<?php echo esc_attr($element_id); ?> .thb-icon-holder:before,
					#<?php echo esc_attr($element_id); ?> .thb-icon-holder:after {
						border-color: <?php echo esc_attr($icon_color); ?>;
					}
				<?php } ?>
			<?php } ?>
			<?php if ($border_radius) { ?>
				#<?php echo esc_attr($element_id); ?>,
				#<?php echo esc_attr($element_id); ?> img {
					border-radius: <?php echo esc_attr($border_radius); ?>;
				}
			<?php } ?>
		</style>
	</div>
	<?php

	$out = ob_get_clean();
	return $out;
}
thb_add_short( 'thb_video_lightbox', 'thb_video_lightbox');